Shift
curl --request GET \
--url https://api.service.getjusto.com/v3/tabs/{storeId}/shifts/{shiftId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.service.getjusto.com/v3/tabs/{storeId}/shifts/{shiftId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.service.getjusto.com/v3/tabs/{storeId}/shifts/{shiftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"storeId": "<string>",
"startedAt": "2020-01-01T00:00:00.000Z",
"endedAt": "2020-01-01T00:00:00.000Z",
"createdById": "<string>",
"closedTabsTotalSales": 2,
"discountsAmount": 2,
"avgTicket": 2,
"eatersCount": 2,
"totalPayments": 2,
"cashRegisterShifts": [
{
"_id": "<string>",
"cashRegisterId": "<string>",
"startedAt": "2020-01-01T00:00:00.000Z",
"endedAt": "2020-01-01T00:00:00.000Z",
"startBalances": [
{
"paymentMethodId": "<string>",
"balance": 123
}
],
"endBalances": [
{
"paymentMethodId": "<string>",
"balance": 123
}
]
}
]
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Turnos
Shift
GET
/
tabs
/
{storeId}
/
shifts
/
{shiftId}
Shift
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I